<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <Button
        android:id="@+id/connect_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"/>

    <TextView
        android:id="@+id/device_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_toLeftOf="@id/connect_button"/>

    <CheckBox
        android:id="@+id/secure_checkbox"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@id/connect_button"
        android:text="@string/secure_connection"/>

    <CheckBox
        android:id="@+id/send_commands_checkbox"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/connect_button"
        android:layout_alignParentRight="true"
        android:text="@string/send_command_messages"/>

    <CheckBox
        android:id="@+id/send_chat_messages_checkbox"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/connect_button"
        android:layout_alignParentLeft="true"
        android:text="@string/send_chat_messages"/>

</RelativeLayout>